#ifndef _TIMER1_
#define _TIMER1_

#define FOSC_FOUR_MHz 0x00;
#define ONE_TO_ONE_PREESCALER 0x00;
#define NO_SYNC_ASYNCHRONOUS_CLOCK 0x01;
#define REGARDLESS_TIMER1_GATE_FUNCTION 0x00;

#define CLEAR_INTERRUPT_FLAG 0x00;
#define ENABLE_TIMER1_OVERFLOW_INTERRUPT 0x01;
#define ENABLE_TIMER1 0x01;
#define HIGH_VALUE_TO_SET_1ms_TICK 0xf0;
#define LOW_VALUE_TO_SET_1ms_TICK 0X60;

void timer1_initialize(void);
#endif